@echo off

REM ##### 引数の取得 #####
set MODE=%1
set L_IS_INSTALLED=%2


REM ##### 初期設定 #####
set IS_VIEW=n


REM ##### 処理モードにより分岐 #####
if "%MODE%" == "install" (
	goto sub_install
)
if "%MODE%" == "uninstall" (
	goto sub_uninstall
)
if "%MODE%" == "update" (
	goto sub_update
)
goto end


REM ##### インストール ######
:sub_install
if "%L_IS_INSTALLED%" == "n" (
	set IS_VIEW=y
)
goto end


REM ##### アンインストール ######
:sub_uninstall
if "%L_IS_INSTALLED%" == "y" (
	set IS_VIEW=y
)
goto end


REM ##### アップデート ######
:sub_update
if "%L_IS_INSTALLED%" == "y" (
	set IS_VIEW=y
)
goto end


REM ##### 終了処理 #####
:end
